# grib_checker
[BACK TO README](../README.md)
___
To run this checker use the next inline command:
```
$ python grib_ckk.py filename.grib
```
**Checks that are executed**:<br>
* Metadata Checks:
  * Check the homogeneity of GRIBEditionNumber field for all messages
  * Check if messages has the **mandatory** key fields defined by the WMO and ECMWF
  * Check the homogeneity of gridType field for all messages
  * Check if messages has the **mandatory** key fields for each specific **rid type**

* Data Checks:
  * Coordinates within the boundaries defined in each message
  * Coordinates tabulated boundaries are the same as the min and max calculated
  * Data values within the defined limits
  * Data values max, min and mean tabulated are equal to the ones calculated

<br><br>
____
[BACK TO README](../README.md)
___